Sql Vulnerability Assessment Baseline Rules - Delete
Deletes a rule from the Baseline of a given database.
DELETE https://management.azure.com/{resourceId}/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/{ruleId}?api-version=2026-04-01-preview
DELETE https://management.azure.com/{resourceId}/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/{ruleId}?databaseName={databaseName}&api-version=2026-04-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The identifier of the resource. |
|
rule
|
path | True |
string |
The rule Id. |
|
api-version
|
query | True |
string |
The api version. |
|
database
|
query |
string |
The name of the database to assess. Required when the API is called on the parent resource (e.g., server level) rather than on a specific database resource, since the database name is not part of the resource URI. This is the only way to assess system databases (e.g., master), which cannot be referenced directly in the resource URI. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully removed the database vulnerability assessment rule baseline. |
|
| 204 No Content |
Rule baseline doesn't exist. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Delete a baseline rule on a resource (using databaseName parameter) - Sql Managed Instance
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?databaseName=master&api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource (using databaseName parameter) - Sql Server
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?databaseName=master&api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource (using databaseName parameter) - Synapse
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?databaseName=master&api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource - Arc Machine
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.HybridCompute/machines/MyMachine/sqlServers/server1/databases/master/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource - Sql Managed Instance
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/managedInstances/myManagedInstance/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource - Sql Server
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Sql/servers/myServer/databases/db/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource - Synapse
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Synapse/workspaces/myWorkspace/sqlPools/myPool/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?api-version=2026-04-01-preview
Sample response
Delete a baseline rule on a resource - Virtual Machine
Sample request
DELETE https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Rg/providers/Microsoft.Compute/virtualMachines/myVm/sqlServers/server1/databases/master/providers/Microsoft.Security/sqlVulnerabilityAssessments/default/baselineRules/VA1234?api-version=2026-04-01-preview
Sample response
Definitions
| Name | Description |
|---|---|
|
Cloud |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Cloud |
The error detail. |
|
Error |
The resource management error additional info. |
CloudError
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error.additionalInfo |
The error additional info. |
|
| error.code |
string |
The error code. |
| error.details |
The error details. |
|
| error.message |
string |
The error message. |
| error.target |
string |
The error target. |
CloudErrorBody
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |